# Class Component

java.lang.Object
org.a11y.brlapi.Component

Direct Known Subclasses:
  `BitMask, NativeComponent, ParameterComponent, ProgramComponent, WriteArguments`

public abstract class Component extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`BYTE_MASK`
`static final char`
`UNICODE_BRAILLE_ROW`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`Component()`

## Method Summary

Modifier and Type
Method
Description
`final String`
`getObjectName()`
`static String`
`getObjectName(Class<? extends Object> type)`
`static void`
`printf(String format, Object... arguments)`
`static String`
`toOperandName(String string)`
`static char`
`toUnicodeBraille(byte dots)`
`static String`
`toUnicodeBraille(byte[] dots)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### BYTE_MASK

public static final int BYTE_MASK

See Also:
  - Constant Field Values

### UNICODE_BRAILLE_ROW

public static final char UNICODE_BRAILLE_ROW

See Also:
  - Constant Field Values

## Constructor Details

### Component

protected Component()

## Method Details

### toUnicodeBraille

public static char toUnicodeBraille(byte dots)

### toUnicodeBraille

public static String toUnicodeBraille(byte[] dots)

### printf

public static void printf(String format, Object... arguments)

### toOperandName

public static String toOperandName(String string)

### getObjectName

public static String getObjectName(Class<? extends Object> type)

### getObjectName

public final String getObjectName()